"""
DO NOT EDIT THIS FILE!!
This file is automatically generated by the process_schemas.py program
in the scripts directory. It is not intended to be edited directly. If
you need to update the GEL protocol classes, please run the script
on the appropriate schema version.
"""
from protocols.protocol import (
    ProtocolElement,
    avro_parse,
    load_schema,
)


class ReportVersionControl(ProtocolElement):
    """
    No documentation
    """

    # load schema from file
    _schemaSource = load_schema(__file__)
    # parse into avro classes
    schema = avro_parse(_schemaSource)

    requiredFields = {}

    @classmethod
    def getEmbeddedTypes(cls):
        return {}

    @classmethod
    def getEmbeddedEnums(cls):
        return {}

    @classmethod
    def getEmbeddedByNamespace(cls):
        # import here to prevent circular imports in python 2.7.
        from protocols.protocol_7_10 import reports as reports_6_4_0

        return {
            "org.gel.models.report.avro.ReportVersionControl": reports_6_4_0.ReportVersionControl,
        }

    __slots__ = [
        "gitVersionControl",
    ]

    def __init__(
        self,
        gitVersionControl="6.4.0",
        validate=None,
        **kwargs
    ):
        """Initialise the reports_6_4_0.ReportVersionControl model.

        :param gitVersionControl:
            This is the version for the entire set of data models as referred to
            the Git release tag
        :type gitVersionControl: str
        """

        attributes = {k: v for k, v in locals().items() if k not in ["self", "unknown"]}
        ProtocolElement.__init__(self, **attributes)

    @classmethod
    def _namespace_version(cls):
        return "6.4.0"
